読者です 読者をやめる 読者になる 読者になる

俺、サービス売って家買うんだ

Swift, Vue.js, 統計, GCP / このペースで作ってればいつか2-3億で売れるのがポっと出来るんじゃなかろうか

Cocos2d-xをAVD上で動かそうとしたらINSTALL_FAILED_NO_MATCHING_ABISエラー

f:id:ie-kau:20150820012009p:plain

原因

結論から言ってしまうと、Cocos2d-xはデフォルトでARMアーキテクチャ向けのビルドになっているようで、入れたばかりの私のAVDはx86アーキテクチャ向けのビルドになっており動作しなかったようです。

応急処置

AVD側のアーキテクチャをARMにすればとりあえずは治ります。
ただしこれでは動作が遅いので、x86上で動くように調査中です。

  1. AVDマネージャーを開いて編集アイコンを押下 f:id:ie-kau:20150820011635p:plain

  2. changeボタンを押下 f:id:ie-kau:20150820011644p:plain

  3. デフォルトではx86が選択されているのでARMに変えておく f:id:ie-kau:20150820011649p:plain

うまく行けばこれだけで動作します♪

参考

Cocos2d-xの話じゃないけど。

stackoverflow.com

stackoverflow.com

( ✧Д✧) オラッオラッ!!!